Skip to main content
GET
/
v1
/
dashboard_panels
/
{id}
Retrieves a dashboard panel
curl --request GET \
  --url https://api.rootly.com/v1/dashboard_panels/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.rootly.com/v1/dashboard_panels/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.rootly.com/v1/dashboard_panels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "dashboard_panels",
    "attributes": {
      "params": {
        "description": "<string>",
        "table_fields": [
          "<string>"
        ],
        "legend": {
          "groups": "all"
        },
        "datalabels": {
          "enabled": true
        },
        "datasets": [
          {
            "name": "<string>",
            "filter": [
              {
                "rules": [
                  {
                    "key": "<string>",
                    "value": "<string>"
                  }
                ]
              }
            ],
            "group_by": "<string>",
            "aggregate": {
              "key": "<string>",
              "cumulative": true
            }
          }
        ]
      },
      "dashboard_id": "<string>",
      "name": "<string>",
      "position": {
        "x": 123,
        "y": 123,
        "w": 123,
        "h": 123
      },
      "data": [
        {}
      ]
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

range
string

Date range for panel data, ISO8601 timestamps separated by the word 'to'. Ex: '2022-06-19T11:28:46.029Z to 2022-07-18T21:58:46.029Z'.

period
string

The time period to group data by. Accepts 'day', 'week', and 'month'

time_zone
string

The time zone to use for period

Response

200 - application/vnd.api+json

dashboard panel found

data
object
required
included
object[]